--------------------------------------------------------------------
-- PLG Frames
--------------------------------------------------------------------

---------------------------
-- change the size of the trade frame
---------------------------
function PLG:MakeDouble() 
	PLG:Debug("Function","MakeDouble")
	TradeSkillFrame:SetAttribute("UIPanelLayout-width", 695) --orig 384	  
	TradeSkillFrame:SetWidth(695)
	  
	--widen the skill level statusbar
	TradeSkillRankFrame:ClearAllPoints()
	TradeSkillRankFrame:SetPoint("TOPLEFT", 75, -38)
	TradeSkillRankFrame:SetWidth(575)
	  
	--Widen the skill rank border
	TradeSkillRankFrameBorder:SetTexture(PLG.textures.TSRFBON)
	TradeSkillRankFrameBorder:ClearAllPoints()
	TradeSkillRankFrameBorder:SetPoint("LEFT", -4, 0)
	TradeSkillRankFrameBorder:SetWidth(584); 
	TradeSkillRankFrameBorder:SetHeight(17)
	  
	--Move the skill rank string
	TradeSkillRankFrameSkillRank:ClearAllPoints()
	TradeSkillRankFrameSkillRank:SetPoint("CENTER", TradeSkillRankFrame, 0, 1)
	  
	--Tradeskill skills list/reagents stretch right
	TradeSkillListScrollFrame:ClearAllPoints()
	TradeSkillListScrollFrame:SetPoint("TOPLEFT", 10, -86); 
	TradeSkillListScrollFrame:SetHeight(130)  --310  
	TradeSkillListScrollFrame:SetWidth(295)
		
	-- keep the horz bar from cutting new frame in half
	TradeSkillHorizontalBarLeft:ClearAllPoints();
	TradeSkillHorizontalBarLeft:SetPoint("TOPLEFT", 0, -212) -- -2
	TradeSkillHorizontalBarLeft:SetWidth(256)
	TradeSkillHorizontalBarLeft:SetHeight(16)
  
	--Move buttons align them to the left bottom, else they stretch.
	TradeSkillIncrementButton:ClearAllPoints()
	TradeSkillIncrementButton:SetPoint("TOPLEFT", TradeSkillInputBox, "TOPRIGHT", 0, 1)
    
	TradeSkillCreateButton:ClearAllPoints();
	TradeSkillCreateButton:SetPoint("TOPLEFT", TradeSkillIncrementButton, "TOPRIGHT")
	TradeSkillCancelButton:ClearAllPoints();
	TradeSkillCancelButton:SetPoint("TOPLEFT", TradeSkillCreateButton, "TOPRIGHT")
end

---------------------------
-- change the size of the trade frame
---------------------------
function PLG:MakeSingle() 
	PLG:Debug("Function","MakeSingle")
	TradeSkillFrame:SetAttribute("UIPanelLayout-width", 338) --orig 384	  
	TradeSkillFrame:SetWidth(338)
	  
	--reset the skill level statusbar
	TradeSkillRankFrame:ClearAllPoints()
	TradeSkillRankFrame:SetPoint("TOPLEFT", TradeSkillFrame, "TOPLEFT", 66, -33)
	TradeSkillRankFrame:SetWidth(236)
	  
	--reset the skill rank border
	TradeSkillRankFrameBorder:SetTexture(PLG.textures.TSRFBOFF)
	TradeSkillRankFrameBorder:ClearAllPoints()
	TradeSkillRankFrameBorder:SetPoint("LEFT", TradeSkillRankFrame, "LEFT", -5, 0)
	TradeSkillRankFrameBorder:SetWidth(245); 
	TradeSkillRankFrameBorder:SetHeight(27)
	  
	--reset the skill rank string
	TradeSkillRankFrameSkillRank:ClearAllPoints()
	TradeSkillRankFrameSkillRank:SetPoint("CENTER", TradeSkillRankFrame, "CENTER", 0, 0)
	  
	--Tradeskill skills list
	TradeSkillListScrollFrame:ClearAllPoints()
	TradeSkillListScrollFrame:SetPoint("TOPRIGHT", TradeSkillFrame, "TOPRIGHT", -34, -83); 
	TradeSkillListScrollFrame:SetHeight(130)
	TradeSkillListScrollFrame:SetWidth(296)
			  
	TradeSkillHorizontalBarLeft:ClearAllPoints();
	TradeSkillHorizontalBarLeft:SetPoint("TOPLEFT", TradeSkillFrame, "TOPLEFT", 2, -208)
	TradeSkillHorizontalBarLeft:SetWidth(256)
	TradeSkillHorizontalBarLeft:SetHeight(16)
  
	--Move buttons align them to the left bottom.
	TradeSkillIncrementButton:ClearAllPoints()
	TradeSkillIncrementButton:SetPoint("TOPLEFT", TradeSkillInputBox, "TOPRIGHT", 0, 1)
    
	TradeSkillCreateButton:ClearAllPoints();
	TradeSkillCreateButton:SetPoint("TOPLEFT", TradeSkillIncrementButton, "TOPRIGHT")
	TradeSkillCancelButton:ClearAllPoints();
	TradeSkillCancelButton:SetPoint("TOPLEFT", TradeSkillCreateButton, "TOPRIGHT")
end


---------------------------
-- create the static labels
---------------------------
function PLG:createLabels()
	PLG:Debug("Function","createLabels")
	if PLG.debug == true then
		PLG:createText(TradeSkillCancelButton,"PLG_Trainer",190,12,330,"","GameFontNormal","")
		PLG:createText(PLG_frame,"PLG_Title",65,40,330,PLG.debugProfession.." Leveling Guide ("..PLG.debugEarned.."/"..PLG.debugTotal..")","GameFontNormal","")
	else
		if PLG.UseFrame then 
			PLG:createText(PLG_frame,"PLG_Title",95,77,330,PLG.labels.TITLE,"GameFontNormal","")
			PLG:createText(PLG_backframe,"PLG_Trainer",115,-20,330,"","GameFontNormal","")
		else
			PLG:createText(PLG_frame,"PLG_Title",85,40,330,PLG.labels.TITLE,"GameFontNormal","")
			PLG:createText(TradeSkillCancelButton,"PLG_Trainer",190,12,330,"","GameFontNormal","")
		end
	end
	-- instructions
	PLG:createText(PLG_frame,"PLG_Instructions_Title",0,10,330,PLG.labels.INSTRUCTIONS,"GameFontNormal","")
	PLG:createText(PLG_frame,"PLG_Instructions_Text",0,-5,330,"","GameFontHighlight","")	
	-- recipe
	PLG:createText(PLG_frame,"PLG_Recipe1_Title",0,-45,120,PLG.labels.RECIPE,"GameFontNormal","")
	PLG:createText(PLG_frame,"PLG_Recipe1_Text",40,-63,120,"","GameFontHighlight","")		
	-- alternate
	PLG:createText(PLG_frame,"PLG_Recipe2_Title",165,-45,120,PLG.labels.ALTERNATE,"GameFontNormal","")
	PLG:createText(PLG_frame,"PLG_Recipe2_Text",205,-63,120,"","GameFontHighlight","")	
	-- reagents
	PLG:createText(PLG_frame,"PLG_Reagent_Title",0,-115,120,PLG.labels.REAGENTS,"GameFontNormal","")
	PLG:createText(PLG_frame,"PLG_Reagent1_Text",40,-133,120,"","GameFontHighlight","")	
	PLG:createText(PLG_frame,"PLG_Reagent2_Text",205,-133,120,"","GameFontHighlight","")	
	PLG:createText(PLG_frame,"PLG_Reagent3_Text",40,-173,120,"","GameFontHighlight","")	
	PLG:createText(PLG_frame,"PLG_Reagent4_Text",205,-173,120,"","GameFontHighlight","")	
	PLG:createText(PLG_frame,"PLG_Reagent5_Text",40,-213,120,"","GameFontHighlight","")	
	PLG:createText(PLG_frame,"PLG_Reagent6_Text",205,-213,120,"","GameFontHighlight","")	
	PLG:createText(PLG_frame,"PLG_Reagent7_Text",40,-253,120,"","GameFontHighlight","")	
	PLG:createText(PLG_frame,"PLG_Reagent8_Text",205,-253,120,"","GameFontHighlight","")	
	-- help
	PLG:createText(PLG_helpframe,"PLG_HELP_Title",-10,10,340,PLG.labels.HELPTTTITLE,"GameFontNormal","")
	PLG:createText(PLG_helpframe,"PLG_HELP_Text",-10,-5,340,PLG.msgs.HELPTEXT,"GameFontHighlight","")	
	_G["PLG_HELP_Text"]:SetHeight(290)
end
	
---------------------------
-- create the data frame
---------------------------
function PLG:createFrame()
	PLG:Debug("Function","createFrame")
	-- create PLG TradeSkillUI frame
	if PLG.UseFrame then 
		PLG.backframe = CreateFrame("FRAME", "PLG_backframe", TradeSkillFrame, "ButtonFrameTemplate")
		PLG.backframe:SetPoint("TOPLEFT", TradeSkillFrame, "TOPRIGHT", 50, 0)	
		PLG.backframe:SetWidth(364)
		SetPortraitToTexture(_G["PLG_backframePortrait"], PLG.textures.PORTRAIT );
		PLG.backframe:Show()	
		
		PLG.frame = CreateFrame("FRAME", "PLG_frame", PLG.backframe)
		PLG.frame:SetPoint("TOPLEFT", PLG.backframe, "TOPLEFT", 0, -65)	
		PLG.frame:SetWidth(354)
		PLG.frame:SetHeight(325)
	else		
		PLG.frame = CreateFrame("FRAME", "PLG_frame", TradeSkillFrame)
		PLG.frame:SetPoint("TOPLEFT", TradeSkillFrame, "TOPLEFT", 330, -86)	
		PLG.frame:SetWidth(354)
		PLG.frame:SetHeight(310)
	
		-- add middle vertical bar
		local tx = PLG.frame:CreateTexture(nil, "ARTWORK")
		tx:SetTexture(PLG.textures.BORDER)
		tx:SetPoint("TOPLEFT", PLG.frame, "TOPLEFT", 0, 0)
		tx:SetWidth(9); 
		tx:SetHeight(310)
		
		-- middle vertical bar left border
		local t2 = PLG.frame:CreateTexture(nil, "BORDER")
		t2:SetTexture(.1, .1, .1, 1)
		t2:SetPoint("TOPLEFT")
		t2:SetWidth(2)
		t2:SetHeight(310)	
		
	end
	
	--local t3 = PLG.frame:CreateTexture(nil, "BORDER")
	--t3:SetTexture(1, .1, .1, 1)
	--t3:SetAllPoints(PLG.frame)
	
	-- create icons
	PLG:createIcon("Recipe1",15,-80)
	PLG:createIcon("Recipe2",180,-80)
	PLG:createIcon("Reagent1",15,-150)
	PLG:createIcon("Reagent2",180,-150)
	PLG:createIcon("Reagent3",15,-190)
	PLG:createIcon("Reagent4",180,-190)
	PLG:createIcon("Reagent5",15,-230)
	PLG:createIcon("Reagent6",180,-230)
	PLG:createIcon("Reagent7",15,-270)
	PLG:createIcon("Reagent8",180,-270)
	
	-- vendor/quest button	
	local v = CreateFrame("BUTTON", "PLG_Vendor_Button", PLG.frame)
	v:SetPoint("TOPLEFT", PLG.frame, "TOPLEFT", 61, -58)	
	v:SetWidth(45)
	v:SetHeight(20)
	v:SetFrameStrata("MEDIUM")
	local vfs = v:CreateFontString()
	vfs:SetFont(GameFontNormal:GetFont(), 10)
	v:SetFontString(vfs)
	
	-- help button
	local h = CreateFrame("BUTTON", "PLG_Help_Button", PLG.frame)
	if PLG.debug == true then
		h:SetPoint("TOPLEFT", PLG.frame, "TOPLEFT", 325, 40)
	else
		if PLG.UseFrame then 
			h:SetPoint("TOPRIGHT", PLG.backframe, "TOPRIGHT", -28, 10)
		else
			h:SetPoint("TOPLEFT", PLG.frame, "TOPLEFT", 260, 40)	
		end
	end
	h:SetWidth(16)
	h:SetHeight(32)
	h:SetFrameStrata("MEDIUM")
	
	-- help icon
  	local htx = PLG.frame:CreateTexture(nil, "ARTWORK")
	if PLG.debug == true then
		htx:SetTexture(PLG.textures.HELPDEBUG)
		htx:SetPoint("TOPLEFT", h, "TOPLEFT", 0, -16)
		htx:SetHeight(16)
	else
		htx:SetTexture(PLG.textures.HELP)
		htx:SetPoint("TOPLEFT", h, "TOPLEFT", 0, 0)
		htx:SetHeight(32)
	end
	htx:SetWidth(16); 
	
	-- help tooltip
	h:SetScript("OnEnter",function() 
		SetCursor("CAST_CURSOR")
		PLG.tooltip:ClearLines()
		PLG.tooltip:ClearAllPoints()
		PLG.tooltip:SetOwner(h,"ANCHOR_NONE")
		PLG.tooltip:SetPoint("BOTTOMLEFT", h, "TOPLEFT", 0, 0)	
		PLG:Tooltip(PLG.labels.HELPTTTITLE)
		PLG:Tooltip(PLG.msgs.HELPTTTEXT..PLG.labels.TITLE,nil,"WHT",nil,1)
		PLG.tooltip:Show()
	end)
	h:SetScript("OnLeave",function() 
		SetCursor("POINT_CURSOR")
		PLG.tooltip:Hide()
	end)
	h:SetScript("OnClick",function() 
		if ( PLG.helpframe:IsShown() ) then
			PLG.helpframe:Hide()
		else
			if PLG.debug == true then
				if PLG.debugEarned < PLG.maxLevel then
					PLG.debugEarned = PLG.debugEarned + 1
				end
				if PLG.debugEarned == PLG.debugTotal then
					if PLG.debugTotal ~= PLG.maxLevel then
						PLG.debugTotal = PLG.debugTotal + 75
					end
				end
				PLG:setText("Title",PLG.debugProfession.." Leveling Guide ("..PLG.debugEarned.."/"..PLG.debugTotal..")")
				PLG:Update()
			else
				PLG.helpframe:Show()
			end
		end
	end)
	
	-- create help frame
	PLG.helpframe = CreateFrame("FRAME", "PLG_helpframe", PLG.frame)
	PLG.helpframe:SetPoint("TOPLEFT", PLG.frame, "TOPLEFT", 7, 0)	
	PLG.helpframe:SetWidth(PLG.frame:GetWidth()-8)
	PLG.helpframe:SetHeight(PLG.frame:GetHeight())
	PLG.helpframe:SetFrameStrata("HIGH")
	
	-- help background
	local hfb = PLG.helpframe:CreateTexture(nil, "BORDER")
	hfb:SetTexture(.07, .07, .07, 1)
	hfb:SetAllPoints(PLG.helpframe)
	hfb:SetWidth(347)
	hfb:SetHeight(310)
	
	-- hide frame on launch
	--PLG.frame:Hide()
	PLG.helpframe:Hide()
end